> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /courtlistener/judges/search

> Search US judges by name, court, birth date/place, school, appointer, selection method and party

**Price:** 1 credit per 20 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/courtlistener/judges/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/courtlistener/judges/search:
    post:
      tags:
        - /courtlistener
      summary: /courtlistener/judges/search
      description: >-
        Search US judges by name, court, birth date/place, school, appointer,
        selection method and party


        **Price:** 1 credit per 20 results
      operationId: __api_courtlistener_judges_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CourtlistenerJudgesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CourtlistenerJudgeResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CourtlistenerJudgesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        name:
          anyOf:
            - type: string
            - type: 'null'
        court:
          anyOf:
            - type: string
            - type: 'null'
        dob_after:
          anyOf:
            - type: string
            - type: 'null'
        dob_before:
          anyOf:
            - type: string
            - type: 'null'
        dob_city:
          anyOf:
            - type: string
            - type: 'null'
        dob_state:
          anyOf:
            - type: string
            - type: 'null'
        school:
          anyOf:
            - type: string
            - type: 'null'
        appointer:
          anyOf:
            - type: string
            - type: 'null'
        selection_method:
          anyOf:
            - $ref: '#/components/schemas/CourtlistenerSelectionMethod'
            - type: 'null'
        political_affiliation:
          anyOf:
            - $ref: '#/components/schemas/CourtlistenerPoliticalParty'
            - type: 'null'
        order_by:
          $ref: '#/components/schemas/CourtlistenerJudgesOrder'
          default: score desc
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CourtlistenerJudgeResult:
      properties:
        '@type':
          type: string
          default: CourtlistenerJudgeResult
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        religion:
          anyOf:
            - type: string
            - type: 'null'
        races:
          items:
            type: string
          type: array
          default: []
        aliases:
          items:
            type: string
          type: array
          default: []
        schools:
          items:
            type: string
          type: array
          default: []
        aba_ratings:
          items:
            type: string
          type: array
          default: []
        political_affiliations:
          items:
            type: string
          type: array
          default: []
        fjc_id:
          anyOf:
            - type: string
            - type: 'null'
        born_at:
          anyOf:
            - type: integer
            - type: 'null'
        died_at:
          anyOf:
            - type: integer
            - type: 'null'
        dob_city:
          anyOf:
            - type: string
            - type: 'null'
        dob_state:
          anyOf:
            - type: string
            - type: 'null'
        positions:
          items:
            $ref: '#/components/schemas/CourtlistenerJudgeSearchPosition'
          type: array
          default: []
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        score:
          anyOf:
            - type: number
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CourtlistenerSelectionMethod:
      type: string
      enum:
        - e_part
        - e_non_part
        - a_pres
        - a_gov
        - a_legis
    CourtlistenerPoliticalParty:
      type: string
      enum:
        - d
        - r
        - i
        - g
        - l
        - f
        - w
        - j
        - u
        - z
    CourtlistenerJudgesOrder:
      type: string
      enum:
        - score desc
        - name_reverse asc
        - dob desc
        - dob asc
    CourtlistenerJudgeSearchPosition:
      properties:
        '@type':
          type: string
          default: CourtlistenerJudgeSearchPosition
        court:
          anyOf:
            - type: string
            - type: 'null'
        court_id:
          anyOf:
            - type: string
            - type: 'null'
        court_citation_string:
          anyOf:
            - type: string
            - type: 'null'
        appointer:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
        position_type:
          anyOf:
            - type: string
            - type: 'null'
        selection_method:
          anyOf:
            - type: string
            - type: 'null'
        nomination_process:
          anyOf:
            - type: string
            - type: 'null'
        termination_reason:
          anyOf:
            - type: string
            - type: 'null'
        nominated_at:
          anyOf:
            - type: integer
            - type: 'null'
        elected_at:
          anyOf:
            - type: integer
            - type: 'null'
        confirmed_at:
          anyOf:
            - type: integer
            - type: 'null'
        start_at:
          anyOf:
            - type: integer
            - type: 'null'
        terminated_at:
          anyOf:
            - type: integer
            - type: 'null'
        retired_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````